#!/usr/bin/env python

"""
Fetching the profile of each user from a Confluence site in order to obtain
name and e-mail details.

User details are written to standard output in a tab-separated sequence using
the following format:

USERNAME FULLNAME EMAIL IMAGE-URL
"""

from time import sleep
from os.path import split
import sys
import codecs

this_dir = split(sys.argv[0])[0]
sys.path.append(this_dir)

from get_profile import get_profile

def main():
    progname = split(sys.argv[0])[-1]

    try:
        url = sys.argv[1]
        delay = int((sys.argv[2:3] or ["1"])[0])
    except (IndexError, ValueError):
        print >>sys.stderr, "%s <wiki URL> [ <retrieval delay> ]" % progname
        print >>sys.stderr
        print >>sys.stderr, "Example: %s http://wiki.list.org/" % progname
        sys.exit(1)

    stdout = codecs.getwriter("utf-8")(sys.stdout)
    line = sys.stdin.readline()
    while line:
        username = line.strip()
        print >>stdout, "\t".join(get_profile(url, username))

        sleep(delay)
        line = sys.stdin.readline()

if __name__ == "__main__":
    main()

# vim: tabstop=4 expandtab shiftwidth=4
